Skip to content

Force Remove Peer

POST
/cluster/remove-node/force
curl --request POST \
--url https://sylve.lan:8181/api/cluster/remove-node/force \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "nodeId": "example", "targetExternallyFenced": true }'

Remove an externally fenced, unavailable peer without contacting it

Force Remove Peer Request

Media typeapplication/json
object
nodeId
string
targetExternallyFenced
boolean
Examplegenerated
{
"nodeId": "example",
"targetExternallyFenced": true
}

Success

Media typeapplication/json
object
data
object
cleanupAcknowledged
boolean
membershipRemoved
boolean
status
object
attempts
integer
enabled
boolean
lastError
string
leaderIp
string
leaveId
string
localNodeId
string
phase
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"cleanupAcknowledged": true,
"membershipRemoved": true,
"status": {
"attempts": 1,
"enabled": true,
"lastError": "example",
"leaderIp": "example",
"leaveId": "example",
"localNodeId": "example",
"phase": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Conflict

Media typeapplication/json
object
data
object
dependencies
Array<object>
object
id
string
kind
string
name
string
role
string
state
string
nodeId
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"dependencies": [
{
"id": "example",
"kind": "example",
"name": "example",
"role": "example",
"state": "example"
}
],
"nodeId": "example"
},
"error": "example",
"message": "example",
"status": "example"
}

Consensus unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}